Bug 309721 - kernel-2.6.22.7-85.fc7 breaks video on Dell Inspiron 6400
kernel-2.6.22.7-85.fc7 breaks video on Dell Inspiron 6400
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-27 15:16 EDT by Mikkel Lauritsen
Modified: 2008-01-14 12:52 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.6.23.1-10.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-14 12:52:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
kernel-2.6.22.9-91.fc7 dmesg after starting X twice. (18.35 KB, text/plain)
2007-10-05 19:03 EDT, Joshua
no flags Details
dmesg from kernel-2.6.22.7-85.fc7 after starting X twice (18.26 KB, text/plain)
2007-10-08 15:46 EDT, Joshua
no flags Details

  None (edit)
Description Mikkel Lauritsen 2007-09-27 15:16:39 EDT
The recent kernel upgrade to 2.6.22.7-85.fc7 apparently breaks video on a Dell
Inspiron 6400 with an ATI Mobility Radeon X1400 GPU.

When the boot process reaches the point where it would usually switch to
graphics instead of text mode the screen goes blank, and the display stays black
even when GDM starts. It looks as if it tries to switch between text and
graphical mode a couple of times as when the X server is misconfigured.

Downgrading to 2.6.22.5-76 makes video work fine again.
Comment 1 Joshua 2007-10-05 17:49:18 EDT
I also have problems with kernel-2.6.22.7-85.fc7 - 2.6.22.9-91.fc7 and my Radeon
7200.
I boot to run level 3 and all is fine and X starts ok but when I try to drop out
of X either by Ctrl+Alt+Fn or ending the X session My monitor displays "Out of
Range"--at this point I can restart X by typing in the dark so to speak but the
console is unusable until I restart the machine.
Comment 2 Chuck Ebbert 2007-10-05 18:08:39 EDT
Please attach contents of /var/log/dmesg after booting with each kernel.
Comment 3 Joshua 2007-10-05 19:03:40 EDT
Created attachment 218181 [details]
kernel-2.6.22.9-91.fc7 dmesg after starting X twice.
Comment 4 Mikkel Lauritsen 2007-10-07 16:10:41 EDT
The DRM issue that appears to be reported in the dmesg attached above could be
causing my problems as well.

On a kernel before -85, Xorg.0.log contains

drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)

whereas -85 and -91 go

drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is -1, (No such device or address)
drmOpenDevice: open result is -1, (No such device or address)
drmOpenDevice: Open failed
Comment 5 Joshua 2007-10-08 15:46:46 EDT
Created attachment 220081 [details]
dmesg from kernel-2.6.22.7-85.fc7 after starting X twice
Comment 6 Chuck Ebbert 2007-10-08 17:11:11 EDT
(In reply to comment #5)
> Created an attachment (id=220081) [edit]
> dmesg from kernel-2.6.22.7-85.fc7 after starting X twice
> 

Please post dmesg from after starting X with the kernel that works.
Comment 7 Mikkel Lauritsen 2007-10-31 03:23:38 EDT
The recent 2.6.23.1-10.fc7 update seems to fix the problem on my machine - at
least X is able to start again. I still get the entries in Xorg.0.log about it
being unable to open /dev/dri/card0, but that's a minor issue relative to X not
being able to start at all. 

Note You need to log in before you can comment on or make changes to this bug.